/*
	Phoenix Suite 2
	Author: Jean-Baptiste Wautier
	Copyright 2006-2009 (c)
*/
namespace Phoenix.Log.Writer
{
    using System;
    using System.Collections.Generic;

    using Log;

    /// <summary>
    /// Factory that construct assembly certain type of log
    /// </summary>
    public interface IAppenderFactory
    {
        #region Methods

        /// <summary>
        /// Gets an instance of assembly log class.
        /// </summary>
        /// <param name="senderType">Type of the sender.</param>
        /// <returns>A instance of assembly appender</returns>
        IAppender GetAppender(System.Type senderType);

        #endregion Methods
    }
}